Summary:  MCFM - A parton-level Monte Carlo program MCFM.
Name: MCFM
Version: 9.0
Release: 1%{?dist}
License: GPLv3
Prefix: %{_prefix}
BuildRequires:  root root-core tex(latex) lhapdf-devel lhapdf autoconf automake libtool
Requires:  root root-core  lhapdf-devel lhapdf libgfortran

%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
BuildRequires: gcc-gfortran gcc-c++
%else
BuildRequires: devtoolset-8-gcc-gfortran devtoolset-8-gcc-c++  devtoolset-8-gcc scl-utils
%endif

Source: https://mcfm.fnal.gov/MCFM-%{version}.tar.gz
Prefix: %{_prefix}

%description
Parton-level Monte Carlo program MCFM. The program is designed to calculate 
cross-sections for various femtobarn-level processes at hadron-hadron 
colliders. For most processes, matrix elements are included at 
next-to-leading order and incorporate full spin correlations. For 
more details, including a list of available processes, view the documentation (PDF). 

%prep 
%setup -q 
%build 

%if %{?fedora}%{!?fedora:0} >= 31
sed -i '/^PRODUCTION/ s/$/  \-fallow\-argument\-mismatch \-fallow\-invalid\-boz \-fcommon/'  makefile
sh Install
make
ar cr libMCFM.a obj/*.o
%endif


%if %{?rhel}%{!?rhel:0} >= 8
sh Install
make
ar cr libMCFM.a obj/*.o
%endif

%if %{?rhel}%{!?rhel:0} == 7
cat <<DTS3_EOF_MACRO | scl enable devtoolset-8 --
sh Install
make
ar cr libMCFM.a obj/*.o
DTS3_EOF_MACRO
%endif

%install 
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/%{_libdir}/


mv Bin/*      %{buildroot}/%{_bindir}
mv libMCFM.a %{buildroot}/%{_libdir}/

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/libMCFM.a

%clean
rm -rf %{buildroot}

%post 
ldconfig 

%changelog             
* Thu Nov 28 2019 Andrii Verbytskyi <andrii.verbytskyi@mpp.mpg.de> 8.1
- Initial
